> ## Documentation Index
> Fetch the complete documentation index at: https://docs.presenton.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Themes



## OpenAPI

````yaml /api-reference/open-source-v0.9.0-beta.json get /api/v1/ppt/themes/all
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/ppt/themes/all:
    get:
      tags:
        - Themes
      summary: Get Themes
      operationId: get_themes_api_v1_ppt_themes_all_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ThemeResponse'
                type: array
                title: Response Get Themes Api V1 Ppt Themes All Get
components:
  schemas:
    ThemeResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        description:
          type: string
          title: Description
        user:
          type: string
          title: User
        logo:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo
        logo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Url
        company_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Company Name
        data:
          additionalProperties: true
          type: object
          title: Data
      type: object
      required:
        - id
        - name
        - description
        - user
        - data
      title: ThemeResponse

````